Cinema 4D R19 compatibility

All our plugins are now working and supported with Cinema 4D R19! Some of them required minor updates to work, so you'll need to get the latest versions.

It's free to get updated Curious Animal plugin Activation Codes - just enter your email in our Updated Licence Form here and you'll get new codes via email.

When updating I recommend installing the Plugin Manager in your R19 plugins folder and letting it download the correct versions of the plugins, rather than copying them all from your old plugins folder. You can always find the latest version of the Plugin Manager here, and once it's installed you can find it in your Cinema 4D 'Plugins' menu.
Posted September 04, 2017